# Employee Management Web Application


A web-based Employee Management application built using Spring Boot, Spring Data JPA, Thymeleaf, HTML, and Tailwind CSS.

## Introduction

The Employee Management Web Application is a simple yet powerful tool for managing employee data within your organization. It allows you to perform basic CRUD (Create, Read, Update, Delete) operations on employee records.

## Features

- View a list of all employees.
- Add new employees.
- Edit employee details.
- Delete employees.
- User-friendly interface powered by Thymeleaf and Tailwind CSS.
- Data persistence using Spring Data JPA.

## Getting Started

Follow these instructions to set up and run the Employee Management application on your local machine.

### Prerequisites

Before you begin, ensure you have met the following requirements:

- Java Development Kit (JDK) 8 or later installed.
- Maven installed.
- Your favorite IDE (IntelliJ IDEA, Eclipse, etc.).

### Installation

1. Clone the repository:

   ```bash
   git clone https://github.com/your-username/employee-management.git
   ```

2. Open the project in your IDE.

3. Build the project using Maven:

    ```bash
    mvn clean install
    ```
4. Run the application:

  Access the application in your web browser at http://localhost:1122/.

## Usage

Access the web application through your browser.
Use the navigation menu to perform various employee management tasks.

## Project Structure

The project structure is organized as follows:

- src/main/java: Java source code.
- src/main/resources: Application configuration and Thymeleaf templates.

## Contributing

Contributions are welcome! If you find any issues or have suggestions for improvements, please open an issue or submit a pull request.
